group "FxCoreDetails.model"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | 8 elements
Defined: | globally in fpml-fx-5-3.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
exchangedCurrency1, exchangedCurrency2, dealtCurrency?, (valueDate | (currency1ValueDate, currency2ValueDate)), exchangeRate, nonDeliverableSettlement?

Content Model Elements (8):

  currency1ValueDate,
  currency2ValueDate,
  dealtCurrency,
  exchangedCurrency1,
  exchangedCurrency2,
  exchangeRate,
  nonDeliverableSettlement (defined in FxCoreDetails.model group),
  valueDate (defined in FxCoreDetails.model group)

Known Usage Locations

- In definitions of global complexTypes (2):
  FxSingleLeg, FxSwapLeg

Annotation
The elements common to FX spot, forward and swap legs.
XML Source (w/o annotations (9); see within schema source)

<xsd:group name="FxCoreDetails.model"> <xsd:sequence> <xsd:element name="exchangedCurrency1" type="Payment"/> <xsd:element name="exchangedCurrency2" type="Payment"/> <xsd:element minOccurs="0" name="dealtCurrency" type="DealtCurrencyEnum"/> <xsd:choice> <xsd:element name="valueDate" type="xsd:date"/> <xsd:sequence> <xsd:element name="currency1ValueDate" type="xsd:date"/> <xsd:element name="currency2ValueDate" type="xsd:date"/> </xsd:sequence> </xsd:choice> <xsd:element name="exchangeRate" type="ExchangeRate"/> <xsd:element minOccurs="0" name="nonDeliverableSettlement" type="FxCashSettlement"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 8/8)
currency1ValueDate

  Type: | xsd:date, predefined, simple content

  The date on which the currency1 amount will be settled. To be used in a split value date scenario.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="currency1ValueDate" type="xsd:date"/>

currency2ValueDate

  Type: | xsd:date, predefined, simple content

  The date on which the currency2 amount will be settled. To be used in a split value date scenario.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="currency2ValueDate" type="xsd:date"/>

dealtCurrency

  Type: | DealtCurrencyEnum, simple content

  Indicates which currency was dealt.
  Simple Content

  enumeration of xsd:token

  Enumeration: | "ExchangedCurrency1", "ExchangedCurrency2"

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dealtCurrency" type="DealtCurrencyEnum"/>

exchangedCurrency1

  Type: | Payment, complex content

  This is the first of the two currency flows that define a single leg of a standard foreign exchange transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="exchangedCurrency1" type="Payment"/>

exchangedCurrency2

  Type: | Payment, complex content

  This is the second of the two currency flows that define a single leg of a standard foreign exchange transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="exchangedCurrency2" type="Payment"/>

exchangeRate

  Type: | ExchangeRate, complex content

  The rate of exchange between the two currencies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="exchangeRate" type="ExchangeRate"/>

nonDeliverableSettlement

  Type: | FxCashSettlement, complex content

  Used to describe a particular type of FX forward transaction that is settled in a single currency (for example, a non-deliverable forward).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="nonDeliverableSettlement" type="FxCashSettlement"/>

valueDate

  Type: | xsd:date, predefined, simple content

  The date on which both currencies traded will settle.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="valueDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.